package com.ss.android.ugc.aweme.main;

import X.C1923DhX;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class MainPageExperimentServiceImpl implements IMainPageExperimentService {
    static {
        Covode.recordClassIndex(91598);
    }

    public final boolean LIZ() {
        return C1923DhX.LIZ();
    }

    public static IMainPageExperimentService LIZIZ() {
        MethodCollector.i(1182);
        IMainPageExperimentService iMainPageExperimentService = (IMainPageExperimentService) Lnj.LIZ(IMainPageExperimentService.class, false);
        if (iMainPageExperimentService != null) {
            MethodCollector.o(1182);
            return iMainPageExperimentService;
        }
        Object LIZIZ = Lnj.LIZIZ(IMainPageExperimentService.class, false);
        if (LIZIZ != null) {
            IMainPageExperimentService iMainPageExperimentService2 = (IMainPageExperimentService) LIZIZ;
            MethodCollector.o(1182);
            return iMainPageExperimentService2;
        }
        if (Lnj.a == null) {
            synchronized (IMainPageExperimentService.class) {
                try {
                    if (Lnj.a == null) {
                        Lnj.a = new MainPageExperimentServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(1182);
                    throw th;
                }
            }
        }
        MainPageExperimentServiceImpl mainPageExperimentServiceImpl = (MainPageExperimentServiceImpl) Lnj.a;
        MethodCollector.o(1182);
        return mainPageExperimentServiceImpl;
    }
}
